Subject: Re: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Nathan Trapuzzano <[email-masked]>
Date: Sat, 11 Jan 2014 15:40:41 -0500

Eli Zaretskii <[email-masked]> writes:

> I was just trying to help you have less special cases in your code,
> that's all.

Okay, I thought you were generalizing.

> How are you supposed to know about that? by reading the available code
> of course.  That's how I learned this.

I don't think people should have to read code to know what to expect
from interfaces.

So do you think the current behavior is consistent, or are you just
cautious about trying to change it?